Subject: Re: [Last-Call] Opsdir last call review of draft-ietf-detnet-flow-information-model-10

From: Balázs Varga A <[email-masked]>
Date: Fri, 2 Oct 2020 14:28:37 +0000

Hi Nagendra,

Many thanks for your review. Comments from my side:

1, Section 4.1 
Regarding N:1 mapping and mix of FlowType and DataFlowSpecification.
Agree, this needs further clarification. The rules are: (1) App-flows must have 
the same FlowType (single entry). (2) DataFlowSpecification of App-flows are 
different (multiple entries).
Proposed new text for clarification (to be added at the end of 4.1)
--- NEW TEXT
     Note: When defining the N:1 mapping of App-flows to a DetNet flow,
     the App-flows must have the same FlowType and different 
     DataFlowSpecification parameters.
--- END

2, Section 5.8b, "OutOfService: Administratively blocked" 
Yes, "Administratively blocked" is used when all the egress DN nodes are 
administratively blocked. "Partialfailed" is used when one or more Egress 
failed. Egress reference points which are admin blocked are not considered
as failed.
Proposed clarification (change in 5.8b)
--- OLD TEXT
     OutOfService: Administratively blocked.
--- NEW TEXT
     OutOfService: All Egresses are administratively blocked.
--- END

3, Few nits.
OK, thanks.

Thanks & Cheers
Bala'zs

-----Original Message-----
From: Nagendra Nainar via Datatracker <[email-masked]> 
Sent: Friday, September 11, 2020 3:23 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Opsdir last call review of draft-ietf-detnet-flow-information-model-10

Reviewer: Nagendra Nainar
Review result: Has Nits

Hi,

I have reviewed this document as part of the Operational directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written with the intent of improving the operational aspects of the IETF drafts per guidelines in RFC5706.

Comments that are not addressed in last call may be included in AD reviews during the IESG review.  Document editors and WG chairs should treat these comments just like any other last call comments.

Overall Summary:

This draft is an informational track document defining the flow and service information model for Detnet (IP/MPLS). This draft does not introduce any backward compatibility issues and any operational aspects may need more attention while defining the relevant data model.

Overall this is a well written document. Few observations while reading the document are listed below:

--> In Section 4.1, when the App-flow characteristics is defining N:1 
--> mapping,
I am assuming that it can carry a mix (and so more than one entry) of FlowType and DataFlowSpecification?. Can this be clarified?.

--> In Section 5.8b, "OutOfService: Administratively blocked" is used 
--> when all
the egress DN nodes are administratively blocked?. If some nodes are admin blocked while others are not, does it need something like partiallyfailed?.

Few nits:

s/This document describes the Detnet Flow Service Information Model/This document describes the Detnet Flow and Service Information Model?.

s/In a given network scenario three information models can distinguished/In a given network scenario three information models can be distinguished

s/DetNetwork/DetNet